//
//  AppConstantUITest.swift
//  JobThai
//
//  Created by pinyo on 5/16/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import Foundation
import UIKit

//UI Tests Accessibility Identifier
//MARK:- Main ViewController
let ID_MAIN_NAVIGATION_BAR                          = "ID_MAIN_NAVIGATION_BAR"
let ID_MAIN_NAVIGATION_BAR_MENU_BUTTON              = "ID_MAIN_NAVIGATION_BAR_MENU_BUTTON"
let ID_HOME_SEARCH_BUTTON                           = "ID_HOME_SEARCH_BUTTON"

let ID_HOME_BROWSE_JOBS_TOTAL_BUTTON                = "ID_HOME_BROWSE_JOBS_TOTAL_BUTTON"

let ID_URGENT_JOBS_COLLECTION_VIEW                  = "ID_URGENT_JOBS_COLLECTION_VIEW"

let ID_HOME_VIEW                                    = "ID_HOME_VIEW"

//MARK:- Nav Bar
let ID_NAV_BAR_BACK_BUTTON                          = "ID_NAV_BAR_BACK_BUTTON"

//MARK:- Settings
let ID_SETTING_TABLE_VIEWS                          = "ID_SETTING_TABLE_VIEWS"
let ID_SETTIMG_LANGUAGE_ACTION_SHEET                = "ID_SETTIMG_LANGUAGE_ACTION_SHEET"

//MARK:- Browse Job
let ID_BROWSE_JOBS_MODE_JOBS_COLLECTION_VIEW        = "ID_BROWSE_JOBS_MODE_JOBS_COLLECTION_VIEW"
let ID_BROWSE_JOBS_FIRST_LEVEL_COLLECTION_VIEW      = "ID_BROWSE_JOBS_FIRST_LEVEL_COLLECTION_VIEW"
let ID_BROWSE_JOBS_SECOND_LEVEL_TABLE_VIEW          = "ID_BROWSE_JOBS_SECOND_LEVEL_TABLE_VIEW"
let ID_BROWSE_JOBS_TRANSPORTATION_TABLE_VIEW        = "ID_BROWSE_JOBS_TRANSPORTATION_TABLE_VIEW"

//MARK: NAV BAR Quick Search
let ID_NAV_BAR_QUICK_SEARCH                         = "ID_NAV_BAR_QUICK_SEARCH"
let ID_NAV_BAR_QUICK_SEARCH_BUTTON                  = "ID_NAV_BAR_QUICK_SEARCH_BUTTON"
let ID_NAV_BAR_QUICK_SEARCH_CANCEL                  = "ID_NAV_BAR_QUICK_SEARCH_CANCEL"

//MARK:- Search Filter Type
let ID_SEARCH_FILTER_TYPE_TABLE_VIEWS               = "ID_SEARCH_FILTER_TABLE_VIEWS"
let ID_SEARCH_FILTER_DETAIL_TABLE_VIEWS             = "ID_SEARCH_FILTER_DETAIL_TABLE_VIEWS"
let ID_SEARCH_FILTER_QUICK_SEARCH_BUTTON            = "searchFillterQuickSearchButton"

//MARK: Search : Category and Sub
let ID_SEARCH_FILTER_JOB_CATEGORIES_TABLE_VIEWS     = "ID_SEARCH_FILTER_JOB_CATEGORIES_TABLE_VIEWS"
let ID_SEARCH_FILTER_JOB_CATEGORIES_SUB_TABLE_VIEWS = "ID_SEARCH_FILTER_JOB_CATEGORIES_SUB_TABLE_VIEWS"

//MARK: Search : Transportation
let ID_SEARCH_FILTER_JOB_CATEGORIES_TRANSPORT_TABLE_VIEWS   =   "ID_SEARCH_FILTER_JOB_CATEGORIES_TRANSPORT_TABLE_VIEWS"

//MARK:- Search Result
let ID_SEARCH_RESULT_LIST_COLLECTION_VIEWS          = "ID_SEARCH_RESULT_LIST_COLLECTION_VIEWS"
let ID_SEARCH_RESULT_MAP_VIEWS                      = "ID_SEARCH_RESULT_MAP_VIEWS"
let ID_SEARCH_RESULT_LIST_BACK_TO_TOP_BUTTON             = "ID_SEARCH_RESULT_LIST_BACK_TO_TOP_BUTTON"
let ID_SEARCH_RESULT_LIST_INDEX_LABEL               = "ID_SEARCH_RESULT_LIST_INDEX_LABEL"

let ID_SEARCH_RESULT_GRID_COLLECTION_VIEWS          = "ID_SEARCH_RESULT_GRID_COLLECTION_VIEWS"
let ID_SEARCH_RESULT_GRID_BACK_TO_TOP_BUTTON        = "ID_SEARCH_RESULT_GRID_BACK_TO_TOP_BUTTON"
let ID_SEARCH_RESULT_GRID_INDEX_LABEL               = "ID_SEARCH_RESULT_GRID_INDEX_LABEL"

let ID_LOAD_MORE                                    = "ID_LOAD_MORE"
let ID_SORT_FILTER_HEADER_CELL                      = "ID_SORT_FILTER_HEADER_CELL"
let ID_SORT_FILTER_TYPE_LABEL                       = "ID_SORT_FILTER_TYPE_LABEL"

let ID_MAIN_MENU_TABLE_VIEWS                        = "ID_MAIN_MENU_TABLE_VIEWS"
let ID_ALERT_LOGOUT                                 = "ID_ALERT_LOGOUT"

let ID_APPLIED_JOBS_COLLECTION_VIEW                 = "ID_APPLIED_JOBS_COLLECTION_VIEW"

//MARK:- viewed by company
let VIEWED_BY_COMPANIES_COLLECTION_VIEWS            = "VIEWED_BY_COMPANIES_COLLECTION_VIEWS"
let COMPANIES_IMAGE_AVALABLE_JOB                    = "COMPANIES_IMAGE_AVALABLE_JOB"
let COMPANIES_IMAGE_CLOSE_JOB                       = "COMPANIES_IMAGE_CLOSE_JOB"
let BACKTOTOP_VIEWED_BY_COMPANY                     = "BACKTOTOP_VIEWED_BY_COMPANY"
let ID_VIEWED_BY_COMPANIES_LOAD_MORE                = "ID_VIEWED_BY_COMPANIES_LOAD_MORE"
let ID_VIEWED_BY_COMPANIES_NO_RESULT                = "ID_VIEWED_BY_COMPANIES_NO_RESULT"

//MARK:- Favorite Job
let ID_FAVORITE_JOB_COLLECTIONVIEW                  = "ID_FAVORITE_JOB_COLLECTIONVIEW"
let ID_FAVORITE_JOB_TABLEVIEW                       = "ID_FAVORITE_JOB_TABLEVIEW"
let ID_FAVORITE_CLOSED_JOB_IMAGE                    = "ID_FAVORITE_CLOSED_JOB_IMAGE"
let ID_FAVORITE_AVAILABLE_JOB_IMAGE                 = "ID_FAVORITE_AVAILABLE_JOB_IMAGE"
let ID_FAVORITE_LOAD_MORE                           = "ID_FAVORITE_LOAD_MORE"
let ID_FAVORITE_BACK_TO_TOP                         = "ID_FAVORITE_BACK_TO_TOP"
let ID_REMOVE_FAVORITE_BUTTON                       = "ID_REMOVE_FAVORITE_BUTTON"
let ID_FAVORITE_NO_RESULT                           = "ID_FAVORITE_NO_RESULT"

//MARK:- JobDetail
let ID_JOB_DETAIL_INFO_VIEW                         = "ID_JOB_DETAIL_INFO_VIEW"
let ID_JOB_DETAIL_ALL_POSITION                      = "ID_JOB_DETAIL_ALL_POSITION"
let ID_JOB_DETAIL_COMPANY                           = "ID_JOB_DETAIL_COMPANY"
let ID_JOB_DETAIL_ADD_FAV_BUTTON                    = "ID_JOB_DETAIL_ADD_FAV_BUTTON"
let ID_JOB_DETAIL_VIEW                              = "ID_JOB_DETAIL_VIEW"
let JOB_DETAIL_COMPANY_NAME_LABEL                   = "JOB_DETAIL_COMPANY_NAME_LABEL"

//MARK:- Preload
let ID_PRELOAD_VIEW                                 = "ID_PRELOAD_VIEW"
let ID_PRELOAD_IMAGEVIEW                            = "ID_PRELOAD_IMAGEVIEW"
let ID_PRELOAD_ENTER_APP_BUTTON                     = "ID_PRELOAD_ENTER_APP_BUTTON"

// WebView
let ID_WEBVIEW_VIEW                                 = "ID_WEBVIEW_VIEW"

