//
//  ModeJobsModel.swift
//  JobThai
//
//  Created by weerapon on 1/19/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit
import Foundation

class BrowseJobModeModel {
    
    var code : String?
    var nameTh : String?
    var nameEn : String?
    var titleTh : String?
    var titleEn : String?
    var type : ModeJobType?
    var image : UIImage?
    var imageName : String?
    
    init(itemModeJob : NSMutableDictionary) {
        self.code = itemModeJob.objectForKey("code") as? String
        self.nameEn = itemModeJob.objectForKey("nameEn") as? String
        self.nameTh = itemModeJob.objectForKey("nameTh") as? String
        self.titleTh = itemModeJob.objectForKey("titleTh") as? String
        self.titleEn = itemModeJob.objectForKey("titleEn") as? String
        self.type = ModeJobType(rawValue: (itemModeJob.objectForKey("typeBrowseJob") as? Int)! )
        self.imageName = itemModeJob.objectForKey("iconPath") as? String
        self.image = UIImage(named: imageName!)
    }
    
    func getTilte(lng:appLanguage)->String{
        if( lng == .THAI ){
            return self.titleTh!
        }
        return self.titleEn!
    }
    
}