//
//  FavoriteJobModel.swift
//  JobThai
//
//  Created by kanya on 5/16/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit

class FavoriteJobModel {
    var countAllJobs : Int
//    var countAllPages : Int
    var favoriteJobList = [FavoriteJobItem]()
    
    init(favoriteJobsJSONData: NSMutableDictionary) {
        self.countAllJobs = favoriteJobsJSONData.objectForKey("countAllFavorites") as! Int
//        self.countAllPages = favoriteJobsJSONData.objectForKey("countPages") as! Int
        self.appendNewPageToFavoriteJobList(favoriteJobsJSONData)
    }
    
    func appendNewPageToFavoriteJobList(favoriteJobsJSONData: NSMutableDictionary) {
        let favoriteJobListJSON = favoriteJobsJSONData.objectForKey("favoriteJobs") as! NSArray
        for jobItem in favoriteJobListJSON {
            let favoriteJobItem = FavoriteJobItem(item: jobItem as! NSMutableDictionary)
            favoriteJobList.append(favoriteJobItem)
        }
    }
}
