//
//  JTMAllPositionMapHeaderCollectionViewCell.swift
//  JobThai
//
//  Created by pizhayut on 7/7/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit

class JTMAllPositionMapHeaderCollectionViewCell: UICollectionViewCell {
    
    @IBOutlet weak var companyImage: UIImageView!
    @IBOutlet weak var companyName: UILabel!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    //MARK:- Set Cell
    func setCellData(jobInfoForCell: JobItem) {
        self.companyName.text = jobInfoForCell.companyName
        if (jobInfoForCell.companyLogo != nil) {
            self.companyImage!.sd_setImageWithURL(jobInfoForCell.companyLogo!, placeholderImage: UIImage())
            self.companyImage?.hidden = false
        } else {
            self.companyImage?.hidden = true
        }
        
    }
}
