//
//  JTMAppInstallNativeExpressCollectionViewCell.swift
//  JobThai
//
//  Created by pizhayut on 7/13/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit
import GoogleMobileAds

class JTMAppInstallNativeExpressCollectionViewCell: UICollectionViewCell {
    
    @IBOutlet weak var appInstallNativeExpress: GADNativeExpressAdView!
    @IBOutlet weak var closeAdsButton: UIButton!
    @IBOutlet weak var bottomBorderView: UIView!
    @IBOutlet weak var topBorderView: UIView!
    @IBOutlet weak var topBorderHeightConstraint: NSLayoutConstraint!
    @IBOutlet weak var bottomBorderHeightConstraint: NSLayoutConstraint!
    
    var delegate : JTMAppInstallNativeExpressCollectionViewCellDelegate?
    
    let SELECTED_BODER_WIDTH: CGFloat = 0
    let BORDER_WIDTH: CGFloat = JTM_CELL_BORDER_HEIGHT//2
    let BORDER_COLOR : UIColor = JTM_CELL_SEPERATOR_COLOR
    let SELECTED_BG_COLOR = UIColor.grayColor()
    
//    func setData(controller: UIViewController) {
//        print("Google Mobile Ads SDK version: " + GADRequest.sdkVersion())
//        let request = GADRequest()
//        
//        // ADS SETTING GRID
//        if ADS_SIMULATION {
//            request.testDevices = [ kGADSimulatorID ];
//        }
//        
//        appInstallNativeExpress.adUnitID = "ca-app-pub-3273527279427175/6165938562"
//        appInstallNativeExpress.rootViewController = controller
//        appInstallNativeExpress.loadRequest(request)
//    }
    
    @IBAction func onClickCloseAds(sender: AnyObject) {
        print("==== Close Banner Button Click ====")
        delegate?.closeAds()
    }
    
    func setCloseAdsButton() {
        closeAdsButton.setTitle(applicationDelegate.getLocalizeStringForKey("REMOVE_ADS"), forState: UIControlState.Normal)
    }
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
        self.setCellBorder()
        //self.setSelectedBackgroundView()
        self.setCloseAdsButton()
    }
    
//    func setCellBorder() {
//        self.layer.borderWidth = BORDER_WIDTH
//        self.layer.borderColor = JTM_SELECTED_CELL_BORDER_COLOR.CGColor
//    }
    //MARK:- Set Border
    func setCellBorder() {
        
        // Top border
        self.topBorderView.backgroundColor = BORDER_COLOR//JTM_BROWSEJOB_HOME_BG_COLOR
        self.topBorderHeightConstraint.constant = BORDER_WIDTH
        // Bottom border
        self.bottomBorderView.backgroundColor = BORDER_COLOR//JTM_BROWSEJOB_HOME_BG_COLOR
        self.bottomBorderHeightConstraint.constant = BORDER_WIDTH
    }
    
    func updateBorderForCell(index: Int) {
        self.topBorderHeightConstraint.constant = (index == 0) ? BORDER_WIDTH : 0
    }

//    func setSelectedBackgroundView() {
//        let backgroundView = UIView(frame: self.frame)
//        backgroundView.backgroundColor = SELECTED_BG_COLOR
//        backgroundView.layer.borderWidth = SELECTED_BODER_WIDTH
//        backgroundView.layer.borderColor = JTM_SELECTED_CELL_BORDER_COLOR.CGColor
//        
//        self.selectedBackgroundView = backgroundView
//    }
}

protocol JTMAppInstallNativeExpressCollectionViewCellDelegate {
    func closeAds()
}