//
//  JTMBrowseJobsHomeTableViewCell.swift
//  JobThai
//
//  Created by kanya on 1/19/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit

class JTMBrowseJobsHomeTableViewCell: UITableViewCell {
    
    @IBOutlet var regionLabel: UILabel!
    @IBOutlet var positionCountLabel: UILabel!
    @IBOutlet var positionLabel: UILabel!

    override func awakeFromNib() {
        super.awakeFromNib()
        self.backgroundColor = JTM_BROWSEJOB_HOME_BG_COLOR
    }

    override func setSelected(selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)
    }

    func setUpBackground() {
        let selectedView = UIView()
        selectedView.frame = self.bounds
        selectedView.backgroundColor = UIColor.clearColor()
        self.selectedBackgroundView = selectedView
    }
    
    func setCellData(region:BrowseJobHomeRegionsModel) {
        self.regionLabel.text = (applicationDelegate.appSetting?.currentLanguage == appLanguage.THAI) ? region.nameTh : region.nameEn
        
        self.positionCountLabel.text = applicationDelegate.numFormatter.stringFromNumber(region.position!)
        self.positionLabel.text = applicationDelegate.getLocalizeStringForKey("JOB_UNIT")
    }
}
