//
//  JTMButtonNoBg.swift
//  JobThai
//
//  Created by pizhayut on 8/31/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit

class JTMButtonNoBg : UIButton {
    
    let FONT_SIZE : CGFloat = 13
    
    required init?(coder aDecoder: NSCoder) {
        super.init(coder: aDecoder)
    }
    
    override init(frame: CGRect) {
        super.init(frame: frame)
    }
    
    override func awakeFromNib() {
        super.awakeFromNib()
    }
    
    @IBInspectable var iPhone35FontSize:CGFloat = 0 {
        didSet {
            if screenType == DisplaySizeType.SCREEN_3_5_INCH {
                overrideFontSize(iPhone35FontSize)
            }
        }
    }
    
    @IBInspectable var iPhone4FontSize:CGFloat = 0 {
        didSet {
            if screenType == DisplaySizeType.SCREEN_4_0_INCH {
                overrideFontSize(iPhone4FontSize)
            }
        }
    }
    
    @IBInspectable var iPhone47FontSize:CGFloat = 0 {
        didSet {
            if screenType == DisplaySizeType.SCREEN_4_7_INCH {
                overrideFontSize(iPhone47FontSize)
            }
        }
    }
    
    @IBInspectable var iPhone55FontSize:CGFloat = 0 {
        didSet {
            if screenType == DisplaySizeType.SCREEN_5_5_INCH {
                overrideFontSize(iPhone55FontSize)
            }
        }
    }
    
    @IBInspectable var DefaultFontSize:CGFloat = 0 {
        didSet {
            if screenType == DisplaySizeType.SCREEN_UNKNOWN {
                overrideFontSize(DefaultFontSize)
            }
        }
    }
    
    func overrideFontSize(fontSize:CGFloat){
        
        self.titleLabel?.font = self.titleLabel?.font.fontWithSize(fontSize)
        
    }
}
