//
//  JTMUrgentJobsCollectionViewCell.swift
//  JobThai
//
//  Created by pinyo on 1/29/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit
import MHVideoPhotoGallery

class JTMUrgentJobsCollectionViewCell: UICollectionViewCell {
    
    @IBOutlet var name : JTMLabel!
    @IBOutlet var detail : JTMLabel!
    @IBOutlet var image : UIImageView!
    
    var borderLayer = CALayer()
    func setCellData( data : UrgentJobsModel ){
        self.name.text = data.title
        self.detail.text = data.description
        self.image.sd_setImageWithURL(NSURL(string: data.imageUrl!)!, placeholderImage: UIImage())
//        self.image.af_setImageWithURL(NSURL(string: data.imageUrl!)!)
        
        self.setCellUI()
    }
    
    func setCellUI() {
//        self.image.layer.borderWidth = 1
//        self.image.layer.borderColor = JTM_LIGHT_GRAY.CGColor
//        self.image.layer.cornerRadius = 3
//        self.image.layer.masksToBounds = true
        self.image.backgroundColor = UIColor.whiteColor()
    }
}
