//
//  TransportationModel.swift
//  JobThai
//
//  Created by ForAlL on 2/1/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit

class TransportationModel {

    var name: String?
    var lineList = [TransportationLineModel]()
    
    init(item : NSMutableDictionary) {
        convertJsonToModel(item)
    }
    
    init(name : String , lineArr : [TransportationLineModel]){
        self.name = name
        self.lineList = lineArr
    }
    
    func convertJsonToModel(itemTransportation : NSMutableDictionary){
        
        self.name = itemTransportation.objectForKey("categories") as? String

        for lineItem in (itemTransportation.objectForKey("line") as! NSArray){
            lineList.append(TransportationLineModel(item: (lineItem as? NSMutableDictionary)! , category: self.name!))
        }
        
    }
    
}
