//
//  TestJTMBrowseJobTransportation.swift
//  JobThai
//
//  Created by pinyo on 4/22/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import XCTest

class JTMTransportaionViewControllerTests : XCTestCase {

    let app = XCUIApplication()
    //Case 1 : Check TableView Section of Home -> BrowseJob -> Transportation -> MRT
    func testBrowseJobMRT(){
        
        app.launch()
        sleep(3)

        //Select : HomeBrowseJob --> TotalJob
        let browseJobTotalJobsBtn = app.buttons[ID_HOME_BROWSE_JOBS_TOTAL_BUTTON]
        browseJobTotalJobsBtn.tap()

        //Select : Mode Job Icon
        let modeJobCollectionsView = app.collectionViews[ID_BROWSE_JOBS_MODE_JOBS_COLLECTION_VIEW]
        modeJobCollectionsView.cells.elementBoundByIndex(2).tap()
        
        //Select : "MRT" Segments
        let transportationSegment = app.segmentedControls.buttons
        let mrtButton = transportationSegment.elementBoundByIndex(1)
        mrtButton.tap()
        
        //Scroll TableView
        let transportationTableView = app.tables[ID_BROWSE_JOBS_TRANSPORTATION_TABLE_VIEW]
        transportationTableView.swipeUp()
        transportationTableView.swipeUp()
        
        //Check : Section of TableView
        let tablesQuery = app.tables
        let count = tablesQuery.otherElements.count
        XCTAssert(count > 1)
        
        //For Print Show Application Hierarchy
//        print("Table Label \(app.tables.elementBoundByIndex(0).label)")
//        print("Table Section Count \(app.tables.otherElements.count)")
//        print("Table static[0] \(app.tables.otherElements.elementBoundByIndex(0).staticTexts.elementBoundByIndex(0).label)")
//        print("Table static[1] \(app.tables.otherElements.elementBoundByIndex(1).staticTexts.elementBoundByIndex(0).label)")
        sleep(2)
    }
}
