//
//  JobThaiUITests.swift
//  JobThaiUITests
//
//  Created by pinyo on 4/22/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import XCTest

class JobThaiUITests: XCTestCase {
        
    override func setUp() {
        super.setUp()
        
        // Put setup code here. This method is called before the invocation of each test method in the class.
        
        // In UI tests it is usually best to stop immediately when a failure occurs.
        continueAfterFailure = false
        // UI tests must launch the application that they test. Doing this in setup will make sure it happens for each test method.
        XCUIApplication().launch()

        // In UI tests it’s important to set the initial state - such as interface orientation - required for your tests before they run. The setUp method is a good place to do this.
    }
    
    override func tearDown() {
        // Put teardown code here. This method is called after the invocation of each test method in the class.
        super.tearDown()
    }
    
    func testExample() {
        // Use recording to get started writing UI tests.
        // Use XCTAssert and related functions to verify your tests produce the correct results.
    }
    
}

extension XCTestCase {
    
    func getApplicationLanguagePathForUITests(language : String) -> String {
        let path : String = NSBundle(forClass: self.dynamicType).pathForResource(language, ofType: "lproj")!
        return path
    }
    
    func getLocalizeStringForKeyForUITests(staticString : String, key:String) -> Bool {
        var path : String = getApplicationLanguagePathForUITests("th")
        let localizeTH = (NSBundle.init(path: path)?.localizedStringForKey(key, value: "", table: nil))!
    
        path = getApplicationLanguagePathForUITests("en")
        let localizeEN = (NSBundle.init(path: path)?.localizedStringForKey(key, value: "", table: nil))!
        
        return compareString(staticString, localTH: localizeTH, localEN: localizeEN)
    }
    
    func compareString(staticString : String, localTH : String, localEN : String) -> Bool {
        if(staticString == localTH || staticString == localEN) {
            return true
        }
        
        return false
    }
    
}
