//
//  CompanyDetailModel.swift
//  JobThai
//
//  Created by weerapon on 3/15/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import Foundation

class CompanyDetailModel {
    
    var runningNumber : Int?
    var companyName : String?
    var companyLogo : String?
    var companyInfo = [CompanyInfoModel]()
    
    init(companiesObjectJson : NSMutableDictionary) {
        self.runningNumber = companiesObjectJson.objectForKey("runningNumber") as? Int
        self.companyName = companiesObjectJson.objectForKey("companyName") as? String
        self.companyLogo = companiesObjectJson.objectForKey("companyLogo") as? String
        
        let arrayCompanyInfo = companiesObjectJson.objectForKey("companyInfo") as? NSArray
        for itemInfo in arrayCompanyInfo! {
            let getType = CompanyInfoModel.getType(itemInfo as! NSMutableDictionary)
            let companyItemInfo: CompanyInfoModel
            
            switch (getType) {
                case .LIST_IMAGE_CELL :
                    companyItemInfo = CompanyInfoImageModel(itemInfo: itemInfo as! NSMutableDictionary)
                    break
                default :
                    companyItemInfo = CompanyInfoTextModel(itemInfo: itemInfo as! NSMutableDictionary)
                    break
            }
            
            if(companyItemInfo.isHasData!) {
                companyInfo.append(companyItemInfo)
            }
        }
    }
}

