//
//  FirstLevelModel.swift
//  JobThai
//
//  Created by Isaret Selachun on 20/1/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit

class FirstLevelModel{
    var code : String?
    var searchCode : String?
    var name : String?
    var image : UIImage?
    var imageUrl : String?
    var countPosition : Int?
    var blockSize : Int?
    var blockOrder : Int?
    var listSecoundLevelMode : [SecoundLevelModel]?
    
    init() {
        
    }
    
    init(item : NSMutableDictionary){
        convertJsonToModel(item)
    }
    
    func convertJsonToModel(itemDict : NSMutableDictionary){
        
        self.listSecoundLevelMode = [SecoundLevelModel]()
        self.code = itemDict.objectForKey("code") as? String
        self.searchCode = itemDict.objectForKey("searchCode") as? String
        self.name = itemDict.objectForKey("name") as? String
        self.blockOrder = itemDict.objectForKey("blockOrder") as? Int
        self.blockSize = itemDict.objectForKey("blockSize") as? Int
        self.imageUrl = itemDict.objectForKey("imageUrl") as? String
        self.imageUrl = JTMServiceController.addPercentEncodingToUrl(self.imageUrl!)
        self.countPosition = itemDict.objectForKey("countPosition") as? Int
        let secondLevelJson = itemDict.objectForKey("secondLevelList") as! NSArray
        
        for itemSecond in secondLevelJson {
            let secondLevelObject = SecoundLevelModel(item: itemSecond as! NSMutableDictionary)
            self.listSecoundLevelMode?.append(secondLevelObject)
        }
    }
    
    static func createFirstLevelModelListWithJson(item : NSMutableDictionary){
        
    }
}