//
//  JobInfoModel.swift
//  JobThai
//
//  Created by weerapon on 4/1/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import Foundation

class JobInfoModel {
    
    var title : String?
    var valueInfo : String?
    var type : JobDetailCellType?
    var isHasData : Bool?
    
    init(itemInfo : NSMutableDictionary) {
        self.title = itemInfo.objectForKey("title") as? String
        self.valueInfo = itemInfo.objectForKey("value") as? String == nil ? "" : itemInfo.objectForKey("value") as? String
        let typeCode = itemInfo.objectForKey("type") as? Int
        self.type = JobDetailCellType(rawValue: typeCode!)
        self.isHasData = getIfCellHasData()
    }
    
    func getIfCellHasData() -> Bool {
        return (self.valueInfo != "")
    }
}