//
//  PreloadModel.swift
//  JobThai
//
//  Created by pinyo on 6/6/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import Foundation

class PreloadModel {
    
    var preloadId   : Int?
    var companyCode : String?
    var companyName : String?
    var jobCode     : Int?
    var imageUrl    : String?
    var imageView   : UIImageView = UIImageView()
    var linkUrl     : String?
    var type        : IndexJobDetailPage?
    
    init(item : NSMutableDictionary){
        convertJsonToModel(item)
    }
    
    func convertJsonToModel(preloadItem : NSMutableDictionary) {
        setImage(preloadItem)
        self.preloadId      = preloadItem.objectForKey("preloadId") as? Int
        self.companyName    = preloadItem.objectForKey("companyName") as? String
        self.companyCode    = preloadItem.objectForKey("companyCode") as? String
        self.jobCode        = preloadItem.objectForKey("jobCode") as? Int
        self.linkUrl        = preloadItem.objectForKey("linkUrl") as? String
        let rawType         = preloadItem.objectForKey("type") as? Int
        self.type           = IndexJobDetailPage(rawValue: rawType!)
    }
    
    func setImage(preloadItem : NSMutableDictionary) {
        self.imageUrl       = preloadItem.objectForKey("imageUrl") as? String
        self.imageUrl       = JTMServiceController.addPercentEncodingToUrl(self.imageUrl!)
        
        guard let imgUrl = self.imageUrl else {
            return
        }
        self.imageView.sd_setImageWithURL(NSURL(string: imgUrl)) { (image, error, cacheType, url) in
            print("Download Image Preload : [\(imgUrl)] | Complete")
        }
    }
}